## python-hacking 0.8.0

=== requirements.txt ===
pbr>=0.5.21,<1.0

pep8==1.4.5
pyflakes>=0.7.2,<0.7.4
flake8==2.0

six>=1.4.1

## python-hacking 0.6.0

=== debian/changelog ===
python-hacking (0.6.0-1) unstable; urgency=low

  * New upstream release.
  * Fixed git URL in debian/rules.

 -- Thomas Goirand <zigo@debian.org>  Sat, 20 Jul 2013 22:28:28 +0800

python-hacking (0.5.6-1) unstable; urgency=low

  * Initial release. (Closes: 714505)

 -- Thomas Goirand <zigo@debian.org>  Sun, 30 Jun 2013 16:36:51 +0800

=== debian/control ===
Source: python-hacking
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
 Thomas Goirand <zigo@debian.org>,
 Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
 openstack-pkg-tools,
 python-all (>= 2.6.6-3~),
 python-setuptools
Build-Depends-Indep: pyflakes (>= 0.7.2),
 python-coverage,
 python-d2to1 (>= 0.2.10),
 python-fixtures,
 python-flake8,
 python-pbr,
 python-sphinx,
 python-subunit,
 python-testrepository (>= 0.0.13),
 python-testscenarios,
 python-testtools (>= 0.9.27),
 testrepository (>= 0.0.13)
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-hacking.git
Vcs-Git: git://anonscm.debian.org/openstack/python-hacking.git
Homepage: http://github.com/openstack-dev/hacking

Package: python-hacking
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: pyflakes (>= 0.7.2),
 python-d2to1 (>= 0.2.10),
 python-flake8,
 python-pbr,
 ${misc:Depends},
 ${python:Depends}
Recommends: ${python:Recommends}
Description: Flake8 OpenStack Hacking Guidelines Enforcement plugins
 Hacking is a set of flake8 plugins that test and enforce the OpenStack Style
 Commandments. It checks that your code matches the coding style which is
 mandatory for contributing to OpenStack.

## python-hacking 0.8.0

=== debian/changelog ===
python-hacking (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Ran wrap-and-sort.
  * Standard-Version: is now 3.9.5.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Jan 2014 16:30:53 +0800

=== debian/control ===
Source: python-hacking
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-setuptools
Build-Depends-Indep: pyflakes (>= 0.7.2),
                     python-coverage,
                     python-d2to1 (>= 0.2.10),
                     python-fixtures,
                     python-flake8,
                     python-pbr,
                     python-sphinx,
                     python-subunit,
                     python-testrepository (>= 0.0.13),
                     python-testscenarios,
                     python-testtools (>= 0.9.27),
                     testrepository (>= 0.0.13)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-hacking.git
Vcs-Git: git://anonscm.debian.org/openstack/python-hacking.git
Homepage: http://github.com/openstack-dev/hacking

Package: python-hacking
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: pyflakes (>= 0.7.2),
         python-d2to1 (>= 0.2.10),
         python-flake8,
         python-pbr,
         ${misc:Depends},
         ${python:Depends}
Recommends: ${python:Recommends}
Description: Flake8 OpenStack Hacking Guidelines Enforcement plugins
 Hacking is a set of flake8 plugins that test and enforce the OpenStack Style
 Commandments. It checks that your code matches the coding style which is
 mandatory for contributing to OpenStack.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/openstack-dev/hacking.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@  --with python2

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/h/hacking hacking-(.*).tar.gz

## python-hacking 0.8.1

=== debian/changelog ===
python-hacking (0.8.1-4) unstable; urgency=medium

  * Fixes requirements to allow pyflakes >= 0.8 (Closes: #745644).

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 May 2014 02:18:32 +0000

python-hacking (0.8.1-3) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed missing BSD-2-clause license for nature.css in debian/copyright.
  * Calling testr / subunit without going through setup.py.
  * dh_clean also rm -rf .testrepository.

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Mar 2014 00:49:47 +0800

python-hacking (0.8.1-2) experimental; urgency=medium

  * Added missing build-depends: python3-pbr.

 -- Thomas Goirand <zigo@debian.org>  Sun, 23 Mar 2014 02:57:34 +0000

python-hacking (0.8.1-1) experimental; urgency=low

  * New upstream release.
  * Uploading to experimental.
  * Added support for Python 3.
  * fix requirements.txt for flake8 and pep8 versions (Closes: #742256).

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2014 19:32:24 +0800

=== debian/control ===
Source: python-hacking
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.5.21),
               python3-pbr (>= 0.5.21),
               python3-all (>= 3.2),
               python-setuptools,
               python3-setuptools
Build-Depends-Indep: pyflakes (>= 0.7.2),
                     python-coverage (>= 3.6),
                     python-fixtures (>= 0.3.14),
                     python-flake8,
                     python-oslosphinx,
                     python-sphinx (>= 1.1.2),
                     python-subunit,
                     python-testrepository (>= 0.0.13),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 0.9.32),
                     testrepository (>= 0.0.17),
                     subunit
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-hacking.git
Vcs-Git: git://anonscm.debian.org/openstack/python-hacking.git
Homepage: http://github.com/openstack-dev/hacking

Package: python-hacking
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: pep8 (>=1.4.5),
         pyflakes (>= 0.7.2),
         python-flake8,
         python-pbr (>= 0.5.21),
         python-six (>= 1.4.1),
         ${misc:Depends},
         ${python:Depends}
Recommends: ${python:Recommends}
Description: Flake8 OpenStack Hacking Guidelines Enforcement plugins - Python 2.x
 Hacking is a set of flake8 plugins that test and enforce the OpenStack Style
 Commandments. It checks that your code matches the coding style which is
 mandatory for contributing to OpenStack.
 .
 This package provides the Python 2.x module.

Package: python3-hacking
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: pep8 (>=1.4.5),
         pyflakes (>= 0.7.2),
         python3-flake8,
         python3-pbr (>= 0.5.21),
         python3-pep8,
         python3-six (>= 1.4.1),
         ${misc:Depends},
         ${python:Depends}
Recommends: ${python3:Recommends}
Description: Flake8 OpenStack Hacking Guidelines Enforcement plugins - Python 3.x
 Hacking is a set of flake8 plugins that test and enforce the OpenStack Style
 Commandments. It checks that your code matches the coding style which is
 mandatory for contributing to OpenStack.
 .
 This package provides the Python 3.x module.

Package: python-hacking-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Flake8 OpenStack Hacking Guidelines Enforcement plugins - doc
 Hacking is a set of flake8 plugins that test and enforce the OpenStack Style
 Commandments. It checks that your code matches the coding style which is
 mandatory for contributing to OpenStack.
 .
 This package provides the documentation.

## python-hacking 0.9.2

=== requirements.txt ===
pbr>=0.6,!=0.7,<1.0

pep8==1.5.6
pyflakes==0.8.1
flake8==2.1.0

six>=1.6.0

=== debian/changelog ===
python-hacking (0.9.2-0ubuntu3~cloud0) trusty-juno; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 28 Aug 2014 12:58:17 -0400

python-hacking (0.9.2-0ubuntu3) utopic; urgency=medium

  * debian/control: Add python-six. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 26 Jun 2014 08:54:54 -0400

python-hacking (0.9.2-0ubuntu2) utopic; urgency=medium

  * debian/patches/fix-requirements.txt.patch: Dropped,
    no longer needed.
  * debian/rules: Enabled tests.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 25 Jun 2014 09:55:26 -0400

python-hacking (0.9.2-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * debian/patches/fix-requirements.txt.patch: Refreshed

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 18 Jun 2014 09:52:17 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-hacking
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
            Mehdi Abaakouk <sileht@sileht.net>
@@ -12,7 +13,9 @@
                python3-pbr (>= 0.5.21),
                python3-all (>= 3.2),
                python-setuptools,
-               python3-setuptools
+               python3-setuptools,
+               python-six,
+               python3-six
 Build-Depends-Indep: pyflakes (>= 0.7.2),
                      python-coverage (>= 3.6),
                      python-fixtures (>= 0.3.14),

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack-dev/hacking.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

export http_proxy=127.0.0.1:9
export https_proxy=127.0.0.1:9

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-hacking; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-hacking; \
	done

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-hacking-doc/usr/share/doc/python-hacking-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	rm -rf .testrepository
	testr init
	set -e && \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) testr run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .testrepository

## python-hacking 0.10.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=0.6,!=0.7,<1.0

pep8==1.5.7
pyflakes==0.8.1
flake8==2.2.4
mccabe==0.2.1 # MIT License

six>=1.7.0

=== debian/changelog ===
python-hacking (0.10.1-0ubuntu1~cloud0) trusty-kilo; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 16 Feb 2015 08:02:03 +0000

python-hacking (0.10.1-0ubuntu1) vivid; urgency=medium

  * New upstream release. 
  * debian/patches/no-intersphinx.patch: Dropped no longer needed.
  * debian/patches/fix-ubuntu-requirements.patch: Depend on python-flake8
    2.2.2.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 11 Feb 2015 09:03:38 -0500

python-hacking (0.9.3-0ubuntu1) vivid; urgency=medium

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 25 Nov 2014 08:44:53 -0500

## python-hacking 0.10.2

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
-pbr>=0.6,!=0.7,<1.0
+pbr>=0.11,<2.0
 
 pep8==1.5.7
 pyflakes==0.8.1

=== debian/changelog ===
python-hacking (0.10.2-4) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 09:49:09 +0000

python-hacking (0.10.2-3) experimental; urgency=medium

  * Fixed (build-)dependencies which where quite wrong.
  * Removed doc/source/static/nature.css from debian/copyright (it's gone from
    upstream source code).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Sep 2015 15:21:08 +0200

python-hacking (0.10.2-2) experimental; urgency=medium

  * Team upload.
  * d/control: Drop upper version boundary for pbr, no longer required.

 -- James Page <james.page@ubuntu.com>  Tue, 02 Jun 2015 09:41:22 +0100

python-hacking (0.10.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - d/control: Align version requirements with upstream.
    - d/p/no-intersphinx.patch: Dropped no longer needed.
    - d/p/fix-requirements.txt.patch: Refresh, allow use of flake8 2.2.2.

 -- James Page <james.page@ubuntu.com>  Mon, 01 Jun 2015 14:59:11 +0100

python-hacking (0.9.2-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sat, 30 May 2015 17:26:58 -0400

python-hacking (0.9.0-1) unstable; urgency=medium

  * New upstream version.
    - Update fix-requirements.txt.patch.

 -- Clint Adams <clint@debian.org>  Sat, 30 May 2015 16:51:32 -0400

=== debian/control ===
Source: python-hacking
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Clint Adams <clint@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python3-all,
               python3-pbr,
               python3-setuptools,
               python-sphinx,
Build-Depends-Indep: pyflakes,
                     python-coverage,
                     python-fixtures,
                     python-flake8 (>= 2.2.2),
                     python-oslosphinx,
                     python-testrepository,
                     python-testscenarios,
                     python-testtools,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-hacking.git
Vcs-Git: git://anonscm.debian.org/openstack/python-hacking.git
Homepage: http://github.com/openstack-dev/hacking

Package: python-hacking
Architecture: all
Depends: pep8 (>= 1.5.7),
         pyflakes,
         python-flake8 (>= 2.2.2),
         python-pbr,
         python-six,
         ${misc:Depends},
         ${python:Depends},
Recommends: ${python:Recommends},
Description: Flake8 OpenStack Hacking Guidelines Enforcement plugins - Python 2.x
 Hacking is a set of flake8 plugins that test and enforce the OpenStack Style
 Commandments. It checks that your code matches the coding style which is
 mandatory for contributing to OpenStack.
 .
 This package provides the Python 2.x module.

Package: python3-hacking
Architecture: all
Depends: pep8 (>= 1.5.7),
         pyflakes,
         python3-flake8 (>= 2.2.2),
         python3-pbr,
         python3-pep8 (>= 1.5.7),
         python3-six,
         ${misc:Depends},
         ${python:Depends},
Recommends: ${python3:Recommends},
Description: Flake8 OpenStack Hacking Guidelines Enforcement plugins - Python 3.x
 Hacking is a set of flake8 plugins that test and enforce the OpenStack Style
 Commandments. It checks that your code matches the coding style which is
 mandatory for contributing to OpenStack.
 .
 This package provides the Python 3.x module.

Package: python-hacking-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Flake8 OpenStack Hacking Guidelines Enforcement plugins - doc
 Hacking is a set of flake8 plugins that test and enforce the OpenStack Style
 Commandments. It checks that your code matches the coding style which is
 mandatory for contributing to OpenStack.
 .
 This package provides the documentation.

=== debian/rules ===
--- 
+++ 
@@ -36,8 +36,8 @@
 	testr init
 	set -e && \
 		TEMP_REZ=`mktemp -t` && \
-		PYTHONPATH=$(CURDIR) testr run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
-		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
+		PYTHONPATH=$(CURDIR) testr run --subunit | tee $$TEMP_REZ | subunit2pyunit || true ; \
+		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats || true ; \
 		rm -f $$TEMP_REZ ;
 	testr slowest
 endif

## python-hacking 0.11.0

=== debian/changelog ===
python-hacking (0.11.0-2.1~deb9u1) stretch; urgency=medium

  * Non-maintainer upload.
  * Rebuild for stretch.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 14 Jan 2018 00:46:21 +0100

python-hacking (0.11.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix the python3-hacking dependencies. (Closes: #867431)

 -- Adrian Bunk <bunk@debian.org>  Tue, 17 Oct 2017 09:38:55 +0300

python-hacking (0.11.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable (Closes: #837100).

 -- Thomas Goirand <zigo@debian.org>  Tue, 04 Oct 2016 13:21:49 +0200

python-hacking (0.11.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Import flake8-legacy.patch from Ubuntu.
  * Using OpenStack's Gerrit as VCS URLs.
  * Using pkgos-dh_auto_{install,test} from openstack-pkg-tools >= 52~.
  * Add build-depends for testing with Py3.
  * Fixed debian/copyright ordering.
  * Standards-Version: 3.9.8 (no change).

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Sep 2016 23:56:00 +0200

=== debian/control ===
--- 
+++ 
@@ -6,36 +6,43 @@
            Clint Adams <clint@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 52~),
                python-all,
-               python-pbr,
+               python-pbr (>= 1.8),
                python-setuptools,
+               python-sphinx,
                python3-all,
-               python3-pbr,
+               python3-pbr (>= 1.8),
                python3-setuptools,
-               python-sphinx,
 Build-Depends-Indep: pyflakes,
                      python-coverage,
                      python-fixtures,
-                     python-flake8 (>= 2.2.2),
+                     python-flake8 (>= 3.0.0),
+                     python-mock,
                      python-oslosphinx,
-                     python-testrepository,
+                     python-six (>= 1.9.0),
                      python-testscenarios,
                      python-testtools,
+                     python3-fixtures,
+                     python3-flake8 (>= 3.0.0),
+                     python3-mock,
+                     python3-six (>= 1.9.0),
+                     python3-subunit,
+                     python3-testscenarios,
+                     python3-testtools,
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-hacking.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-hacking.git
-Homepage: http://github.com/openstack-dev/hacking
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-hacking?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-hacking -b debian/newton
+Homepage: https://github.com/openstack-dev/hacking
 
 Package: python-hacking
 Architecture: all
-Depends: pep8 (>= 1.5.7),
-         pyflakes,
-         python-flake8 (>= 2.2.2),
-         python-pbr,
-         python-six,
+Depends: pyflakes,
+         python-flake8 (>= 3.0.0),
+         python-pbr (>= 1.8),
+         python-six (>= 1.9.0),
          ${misc:Depends},
          ${python:Depends},
 Recommends: ${python:Recommends},
@@ -48,14 +55,13 @@
 
 Package: python3-hacking
 Architecture: all
-Depends: pep8 (>= 1.5.7),
-         pyflakes,
-         python3-flake8 (>= 2.2.2),
-         python3-pbr,
+Depends: pyflakes3,
+         python3-flake8 (>= 3.0.0),
+         python3-pbr (>= 1.8),
          python3-pep8 (>= 1.5.7),
-         python3-six,
+         python3-six (>= 1.9.0),
          ${misc:Depends},
-         ${python:Depends},
+         ${python3:Depends},
 Recommends: ${python3:Recommends},
 Description: Flake8 OpenStack Hacking Guidelines Enforcement plugins - Python 3.x
  Hacking is a set of flake8 plugins that test and enforce the OpenStack Style

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack-dev/hacking.git
include /usr/share/openstack-pkg-tools/pkgos.make

export http_proxy=127.0.0.1:9
export https_proxy=127.0.0.1:9

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-hacking-doc/usr/share/doc/python-hacking-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .testrepository

## python-hacking 0.12.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0

pep8==1.5.7 # MIT
pyflakes==0.8.1 # MIT
flake8<2.6.0,>=2.5.4 # MIT
mccabe==0.2.1 # MIT License

six>=1.9.0 # MIT

=== debian/changelog ===
python-hacking (0.12.0-0ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ David Della Vecchia ]
  * New upstream release.
  * d/p/flake8-legacy.patch: Rebased.

 -- David Della Vecchia <ddv@canonical.com>  Wed, 07 Dec 2016 14:44:33 -0500

python-hacking (0.11.0-0ubuntu2) yakkety; urgency=medium

  * Fix compatibility with flake8 >= 3.0.0, resolving FTBFS in numerous
    OpenStack packages:
    - d/p/flake8-legacy.patch: Compatibility patch for newer flake8 versions;
      switch to using the legacy API for now.
    - d/control: Drop direct depends on pep8, set minimum version ofi
      python-flake8 at 3.0.0.
    - d/p/flake8-legacy.patch: Update requirements.txt to align with
      packaged version of flake8 in Ubuntu/Debian, switch to pycodestyle.

 -- James Page <james.page@ubuntu.com>  Tue, 30 Aug 2016 15:52:58 +0100

python-hacking (0.11.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-requirements.txt.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Jun 2016 08:13:04 -0400

=== debian/control ===
Source: python-hacking
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Clint Adams <clint@debian.org>,
           David Della Vecchia <ddv@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools,
Build-Depends-Indep: pyflakes,
                     python-coverage,
                     python-fixtures,
                     python-flake8 (>= 3.0.0),
                     python-mock,
                     python-oslosphinx,
                     python-six,
                     python-testrepository,
                     python-testscenarios,
                     python-testtools,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-hacking
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-hacking
Homepage: http://github.com/openstack-dev/hacking

Package: python-hacking
Architecture: all
Depends: pyflakes,
         python-flake8 (>= 3.0.0),
         python-pbr,
         python-six,
         ${misc:Depends},
         ${python:Depends},
Recommends: ${python:Recommends},
Description: Flake8 OpenStack Hacking Guidelines Enforcement plugins - Python 2.x
 Hacking is a set of flake8 plugins that test and enforce the OpenStack Style
 Commandments. It checks that your code matches the coding style which is
 mandatory for contributing to OpenStack.
 .
 This package provides the Python 2.x module.

Package: python3-hacking
Architecture: all
Depends: pyflakes,
         python3-flake8 (>= 3.0.0),
         python3-pbr,
         python3-six,
         ${misc:Depends},
         ${python:Depends},
Recommends: ${python3:Recommends},
Description: Flake8 OpenStack Hacking Guidelines Enforcement plugins - Python 3.x
 Hacking is a set of flake8 plugins that test and enforce the OpenStack Style
 Commandments. It checks that your code matches the coding style which is
 mandatory for contributing to OpenStack.
 .
 This package provides the Python 3.x module.

Package: python-hacking-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Flake8 OpenStack Hacking Guidelines Enforcement plugins - doc
 Hacking is a set of flake8 plugins that test and enforce the OpenStack Style
 Commandments. It checks that your code matches the coding style which is
 mandatory for contributing to OpenStack.
 .
 This package provides the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack-dev/hacking.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

export http_proxy=127.0.0.1:9
export https_proxy=127.0.0.1:9

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-hacking; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-hacking; \
	done

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/python-hacking-doc/usr/share/doc/python-hacking-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	rm -rf .testrepository
	testr init
	set -e && \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) testr run --subunit | tee $$TEMP_REZ | subunit2pyunit; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats; \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf .testrepository build *.egg-info

=== debian/watch ===
version=3
http://pypi.debian.net/hacking/hacking-(.*).tar.gz

## python-hacking 1.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

flake8<2.7.0,>=2.6.0 # MIT
six>=1.10.0 # MIT

=== debian/changelog ===
python-hacking (1.1.0-4) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jul 2019 21:27:35 +0200

python-hacking (1.1.0-3) experimental; urgency=medium

  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Mar 2019 12:24:33 +0100

python-hacking (1.1.0-2) unstable; urgency=medium

  * Team upload.
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Allow newer python-eventlet (Closes: #910027)
  * Bump standards version to 4.2.1 (no changes)
  * Bump debhelper compat level to 11

 -- Ondřej Nový <onovy@debian.org>  Mon, 01 Oct 2018 18:28:05 +0200

python-hacking (1.1.0-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format
  * d/control: Add trailing tilde to min version depend to allow
    backports
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ David Rabel ]
  * New upstream version: 1.1.0

 -- David Rabel <david.rabel@noresoft.com>  Mon, 03 Sep 2018 14:52:06 +0200

python-hacking (0.12.0-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * New upstream release
  * Bumped debhelper compat version to 10
  * Fix B-D/D for new upstream release
  * d/p: Rebase for new upstream release
  * d/watch: Use https
  * Enable autopkgtest-pkg-python testsuite

  [ Thomas Goirand ]
  * Ran wrap-and-sort -bast.
  * Updating vcs fields.
  * Updating maintainer field.
  * Updating standards version to 4.1.1.

 -- Ondřej Nový <onovy@debian.org>  Sat, 09 Dec 2017 16:22:38 +0100

=== debian/control ===
Source: python-hacking
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Clint Adams <clint@debian.org>,
Build-Depends:
 debhelper (>= 11~),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-flake8,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 pyflakes3,
 python3-coverage,
 python3-coverage,
 python3-eventlet,
 python3-fixtures,
 python3-flake8,
 python3-mock,
 python3-openstackdocstheme,
 python3-pyflakes,
 python3-reno,
 python3-six,
 python3-subunit,
 python3-testscenarios,
 python3-testtools,
 subunit,
 testrepository,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-hacking
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-hacking.git
Homepage: https://github.com/openstack-dev/hacking
Testsuite: autopkgtest-pkg-python

Package: python-hacking-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Flake8 OpenStack Hacking Guidelines Enforcement plugins - doc
 Hacking is a set of flake8 plugins that test and enforce the OpenStack Style
 Commandments. It checks that your code matches the coding style which is
 mandatory for contributing to OpenStack.
 .
 This package provides the documentation.

Package: python3-hacking
Architecture: all
Depends:
 pyflakes3,
 python3-flake8,
 python3-pbr,
 python3-pep8,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Description: Flake8 OpenStack Hacking Guidelines Enforcement plugins - Python 3.x
 Hacking is a set of flake8 plugins that test and enforce the OpenStack Style
 Commandments. It checks that your code matches the coding style which is
 mandatory for contributing to OpenStack.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack-dev/hacking.git
include /usr/share/openstack-pkg-tools/pkgos.make

export http_proxy=127.0.0.1:9
export https_proxy=127.0.0.1:9

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf .testrepository

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-hacking-doc/usr/share/doc/python-hacking-doc/html
	dh_sphinxdoc
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

## python-hacking 4.1.0

=== requirements.txt ===
flake8<3.9.0,>=3.8.0 # MIT

=== debian/changelog ===
python-hacking (4.1.0-4) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090509).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 10:40:53 +0100

python-hacking (4.1.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1048850).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 12:18:51 +0200

python-hacking (4.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 11:44:54 +0100

python-hacking (4.1.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * New upstream release.
  * Removed flake8-legacy.patch.
  * Fixed (build-)depends for this release.
  * Blacklist hacking.tests.test_doctest.HackingTestCase.test_flake8.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Feb 2022 21:20:21 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Thomas Goirand <zigo@debian.org>,
  Clint Adams <clint@debian.org>,
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -17,7 +17,7 @@
 Build-Depends-Indep:
  pyflakes3,
  python3-coverage,
- python3-coverage,
+ python3-ddt,
  python3-eventlet,
  python3-fixtures,
  python3-flake8,
@@ -25,13 +25,12 @@
  python3-openstackdocstheme,
  python3-pyflakes,
  python3-reno,
- python3-six,
  python3-subunit,
  python3-testscenarios,
  python3-testtools,
+ python3-stestr,
  subunit,
- testrepository,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-hacking
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-hacking.git
 Homepage: https://github.com/openstack-dev/hacking
@@ -56,8 +55,6 @@
  pyflakes3,
  python3-flake8,
  python3-pbr,
- python3-pep8,
- python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:

=== debian/rules ===
--- 
+++ 
@@ -3,14 +3,16 @@
 UPSTREAM_GIT := https://github.com/openstack-dev/hacking.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
-export http_proxy=127.0.0.1:9
-export https_proxy=127.0.0.1:9
+#export http_proxy=127.0.0.1:9
+#export https_proxy=127.0.0.1:9
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf .testrepository
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."
@@ -29,5 +31,5 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2
+	pkgos-dh_auto_test --no-py2 'hacking\.tests\.(?!.*test_doctest\.HackingTestCase\.test_flake8.*)'
 endif

## python-hacking 7.0.0

=== debian/changelog ===
python-hacking (7.0.0-2) experimental; urgency=medium

  * Removed python3-mock build-depends (Closes: #1128063).

 -- Thomas Goirand <zigo@debian.org>  Sun, 15 Feb 2026 16:44:24 +0100

python-hacking (7.0.0-1) experimental; urgency=medium

  * New upstream release (Closes: #1127036).
  * Fixed doubled-defined python3-flake8 build-dep.
  * Defeat lintian false positive.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Feb 2026 23:40:51 +0100

python-hacking (4.1.0-5) unstable; urgency=medium

  * Cleans better (Closes: #1048850).

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Feb 2026 11:20:42 +0100

=== debian/control ===
--- 
+++ 
@@ -20,8 +20,6 @@
  python3-ddt,
  python3-eventlet,
  python3-fixtures,
- python3-flake8,
- python3-mock,
  python3-openstackdocstheme,
  python3-pyflakes,
  python3-reno,

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build .stestr *.egg-info
+	rm -rf build .stestr *.egg-info .pybuild
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
